%define name	dyalog-xml
%define version 1.0.0
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DyAlog XML module
License:	GPL
Group:		Sciences/Computer science
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{name}-%{version}.tar.bz2
Patch:		%{name}-1.0.0.pkgconfig.patch.bz2
Url:		http://atoll.inria.fr/packages/packages.html#dyalog-xml
BuildRequires:	dyalog
BuildRequires:	libxml2-devel
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
A DyALog module providing predicates over LibXML API. This module, while very
preliminary, may be used to read, process and print XML documents with DyALog.

%prep
%setup -q
%patch

%build
export CPPFLAGS=-I%{_libdir}/DyALog
export LDFLAGS=-L%{_libdir}/DyALog
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/pkgconfig
mv $RPM_BUILD_ROOT%{_libdir}/DyALog/%{name}/%{name}.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%{_libdir}/DyALog/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.0.0-1mdk 
- first mdk release
